List the most recent deliveries of an endpoint, newest first.
const url = 'https://api.asap.cool/v1/webhooks/endpoints/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/deliveries';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.asap.cool/v1/webhooks/endpoints/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/deliveries \ --header 'Authorization: Bearer <token>'Authorizations
Section intitulée « Authorizations »Parameters
Section intitulée « Parameters »Path Parameters
Section intitulée « Path Parameters »Endpoint identifier.
Responses
Section intitulée « Responses »Recent deliveries (max 50).
Public projection of a delivery.
object
POST attempts made so far.
Creation timestamp (RFC 3339).
Stable event id (the delivered envelope id).
Event type token.
Delivery identifier.
Last transport or HTTP status error, if any.
Next retry due time (RFC 3339), absent once terminal.
JSON body that was (or will be) sent.
pending, succeeded or failed.
Example generated
[ { "attempts": 1, "created_at": "example", "event_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "event_type": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "last_error": "example", "next_attempt_at": "example", "payload": "example", "status": "example" }]No active org.
Generic error body returned by API handlers when they fail. code is a
stable machine-readable token; message is human-friendly and meant for
surfacing to end users.
object
Stable machine token (e.g. invalid_credentials).
Offending request field for validation errors, when known.
Human-readable message.
Example generated
{ "code": "example", "field": "example", "message": "example"}Missing webhooks:read scope.
Generic error body returned by API handlers when they fail. code is a
stable machine-readable token; message is human-friendly and meant for
surfacing to end users.
object
Stable machine token (e.g. invalid_credentials).
Offending request field for validation errors, when known.
Human-readable message.
Example generated
{ "code": "example", "field": "example", "message": "example"}Endpoint not found or cross-org.
Generic error body returned by API handlers when they fail. code is a
stable machine-readable token; message is human-friendly and meant for
surfacing to end users.
object
Stable machine token (e.g. invalid_credentials).
Offending request field for validation errors, when known.
Human-readable message.
Example generated
{ "code": "example", "field": "example", "message": "example"}